summaryrefslogtreecommitdiffstats
path: root/extra/source/brltty
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/brltty')
-rwxr-xr-xextra/source/brltty/brltty.SlackBuild8
-rw-r--r--extra/source/brltty/brltty.brlapi.pyx.diff11
2 files changed, 17 insertions, 2 deletions
diff --git a/extra/source/brltty/brltty.SlackBuild b/extra/source/brltty/brltty.SlackBuild
index 513c09898..4678d34a4 100755
--- a/extra/source/brltty/brltty.SlackBuild
+++ b/extra/source/brltty/brltty.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# Copyright 2010, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010, 2012, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,7 +30,7 @@ if [ ! -d $TMP ]; then
fi
PKG=/tmp/package-brltty
-VERSION=4.4
+VERSION=4.5
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -56,6 +56,8 @@ rm -rf brltty-$VERSION
tar xvf $CWD/brltty-$VERSION.tar.?z* || exit 1
cd brltty-$VERSION
+zcat $CWD/brltty.brlapi.pyx.diff.gz | patch -p1 --verbose || exit 1
+
sh autogen
chown -R root:root .
@@ -72,6 +74,8 @@ find . -perm 600 -exec chmod 644 {} \;
--infodir=/usr/info \
--mandir=/usr/man \
--sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-java-bindings \
--build=$ARCH-slackware-linux
make -j2 || exit 1
make install INSTALL_ROOT=$PKG || exit 1
diff --git a/extra/source/brltty/brltty.brlapi.pyx.diff b/extra/source/brltty/brltty.brlapi.pyx.diff
new file mode 100644
index 000000000..be58ca6ca
--- /dev/null
+++ b/extra/source/brltty/brltty.brlapi.pyx.diff
@@ -0,0 +1,11 @@
+--- ./Bindings/Python/brlapi.pyx.orig 2013-04-01 15:37:26.000000000 -0500
++++ ./Bindings/Python/brlapi.pyx 2013-09-09 18:01:39.196869555 -0500
+@@ -497,7 +497,7 @@
+ if (type(dots) == unicode):
+ dots = dots.encode('latin1')
+ if (len(dots) < dispSize):
+- dots = dots + b"".center(dispSize - len(dots), '\0')
++ dots = dots + "".center(dispSize - len(dots), '\0')
+ c_dots = dots
+ c_udots = <unsigned char *>c_dots
+ c_brlapi.Py_BEGIN_ALLOW_THREADS